MRApps.TaskAttemptStateUI (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.util, class: MRApps, enum: TaskAttemptStateUI

Package org.apache.hadoop.mapreduce.v2.util

# Enum Class MRApps.TaskAttemptStateUI

java.lang.Object
java.lang.Enum<MRApps.TaskAttemptStateUI>
org.apache.hadoop.mapreduce.v2.util.MRApps.TaskAttemptStateUI

All Implemented Interfaces:
  `Serializable`, `Comparable<MRApps.TaskAttemptStateUI>`, `Constable`

Enclosing class:
  org.apache.hadoop.mapreduce.v2.util.MRApps

public static enum MRApps.TaskAttemptStateUI extends Enum<MRApps.TaskAttemptStateUI>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FAILED`
  `KILLED`
  `NEW`
  `RUNNING`
  `SUCCESSFUL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `correspondsTo(TaskAttemptState state)`
  `static MRApps.TaskAttemptStateUI`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MRApps.TaskAttemptStateUI[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEW

    public static final MRApps.TaskAttemptStateUI NEW

  - ### RUNNING

    public static final MRApps.TaskAttemptStateUI RUNNING

  - ### SUCCESSFUL

    public static final MRApps.TaskAttemptStateUI SUCCESSFUL

  - ### FAILED

    public static final MRApps.TaskAttemptStateUI FAILED

  - ### KILLED

    public static final MRApps.TaskAttemptStateUI KILLED

- ## Method Details

  - ### values

    public static MRApps.TaskAttemptStateUI[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MRApps.TaskAttemptStateUI valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### correspondsTo

    public boolean correspondsTo(TaskAttemptState state)